Skip to Content

Need and possibility of BI Explorer in BI 4.1

Aug 22, 2017 at 10:44 AM


avatar image


Currently we are in BO 3.1 SP7 (Unix) and We are planning to Migrate to BI 4.1 SP7 (Windows).

Current Configuration:BO platform server 3.1 sp7(no BO explorer), Web Logic, IIS.

After migration, we want to use only Tomact web application and do not want to use weblogic and IIS.

Secondly: So far we are using only Deski, WebI(universe based) and Crystal reports.
In future: We will introduce Dashboards, Bex/ HANA based WebI reports, CR4E, Mobilization, Lumira Reporting.

So during migration,

1. Do we need to install BI Explorer 4.1 SP7 as well (on top of BI server 41. SP7) at the moment of migration to 4.1 SP7 ?
2. Once the system is up, as a maintenance activity can we just install explorer, latter point of time?
3. As we are not going to user Weblogic and IIS. Our only web component would be Tomcat, what should be necessary precaution taken?

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

3 Answers

Denis Konovalov
Aug 22, 2017 at 11:47 AM

Your question appear to be all over the place and indicate some knowledge gaps in underlying technologies.
1. If you have no explorer now and in your future plan there is no explorer - why would you need to install it ? (you haven't listed it in your future usage plans).
2. Why would you plan to move to 4.1 Sp7, when current version of the product is 4.2 Sp4 ?
3. If you do want to use explorer (which might not be a good investment at this point with Lumira and Design Studio available) you can install it at any time.
4. About switch from weblogic and IIS - what do you mean what precautions ?
Do you have external users and are you going to expose BOE to them on the internet (outside your network) ?
What authentication mechanisms are you using, what was the IIS purpose in your current setup ?
Tomcat is a web app server with its own specifics that are different from weblogic - how familiar are you with it ? Do you have personnel that can effectively support it ?

10 |10000 characters needed characters left characters exceeded
Shiva Kothakonda Aug 22, 2017 at 12:38 PM

Hi Denis,

Thank you for replying. Please have below points.

1- My whole point was, when we should go for BI explorer ? If the mentioned future plans do not depend upon Explorer, then we are fine.
2- My client does not want to expose directly to 4.2 from 3.1. It is a business requirement to bring 4.1 for the time being.
3- If we can install explorer only, at any time we are good.
4- Precaution means, if anyone earlier using weblogic, but latter point of time replaced it with default/any other app; then what are the issue appeared and respective solutions.

- We do not have external users.

- We have personnel having effective knowledge in handling tomcat app, rather than weblogic.

Show 5 Share
10 |10000 characters needed characters left characters exceeded

You can install explorer any time.

If you don't want to go with 4.2, then go with highest version 4.1 SP9, instead of SP7.

Changing web server , does not affect anything. How does your end users access the BI platform? Direct link to Launchpad or any custom URLs?


We will definitely consider about SP9.

> User will directly log-in to Lunchpad, we do not have custome URLs.

If it is direct link, just provide the new Tomcat server link. Changing web server does not affect in your case. it is straight forward deployment.

And also you mentioned in your original post that, you will use Lumira reporting. You need to install Lumira on BI platform to consume lumira content from BI platform.


1. Going or not for explorer is your decision to make based on what you or your client need. If you haven't used it - what changed to need it use ?

2. What possible difference does 4.2 vs 4.1 makes in relation to switching from 3.1 ?
It will be the exact same experience for the end users and administrators.

3. I'm still not clear on what issues you referring to when talking about switch from weblogic to tomcat.

Jawahar Konduru Aug 22, 2017 at 12:40 PM

As Dennis mentioned above, Go with latest version of BI platform and also Lumira 2.0 which is just released last week GA. You don't need Explorer at this time, since it is flash based.

10 |10000 characters needed characters left characters exceeded